Bug 22337 - Make it clearer that language preferences can be re-ordered
Summary: Make it clearer that language preferences can be re-ordered
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-14 13:16 UTC by Owen Leonard
Modified: 2019-03-01 11:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposal for styling sortable language preferences (108.21 KB, image/gif)
2019-02-14 13:16 UTC, Owen Leonard
Details
Bug 22337: Make it clearer that language preferences can be re-ordered (10.00 KB, patch)
2019-02-14 14:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22337: Make it clearer that language preferences can be re-ordered (10.07 KB, patch)
2019-02-14 14:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 22337: Make it clearer that language preferences can be re-ordered (10.20 KB, patch)
2019-02-15 06:44 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-02-14 13:16:32 UTC
Created attachment 85111 [details]
Proposal for styling sortable language preferences

In system preferences, the language and opaclanguages preferences can be sorted to control the order of their appearance in language-chooser menus. There is a note on the preference saying so, but we could use more visual clues to indicate that it's possible.
Comment 1 Owen Leonard 2019-02-14 14:09:29 UTC Comment hidden (obsolete)
Comment 2 Martin Renvoize 2019-02-14 14:49:36 UTC Comment hidden (obsolete)
Comment 3 Martin Renvoize 2019-02-14 14:50:13 UTC
This improvement makes it significantly more obvious that languages can be re-ordered... Signing Off
Comment 4 Katrin Fischer 2019-02-15 06:44:55 UTC
Created attachment 85141 [details] [review]
Bug 22337: Make it clearer that language preferences can be re-ordered

This patch makes markup and CSS changes to the system preference
interface so that it is visually clearer that language preferences
(language and opaclanguages) can be re-ordered by the user to control
the sequence of their appearance in language-selection menus.

This patch makes some minor markup changes (including some whitespace
fixes -- diff accordingly) in order to make it easier to apply these CSS
changes.

To test you should have more than one translation installed. Apply the
patch and clear your browser cache if necessary.

 - Go to Administration -> System preferences -> I18N/L10N
 - The 'language' and 'opaclanguages' system preferences should show the
   new style.
   - Each language should show a "move" cursor when the mouse hovers
     over the "box."
   - Dragging and dropping the languages should work correctly, and
     changes should be reflected in language menus.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-02-27 14:18:29 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-03-01 11:20:39 UTC
Enhancement, will not be backported to 18.11.x series.